Last Comment Bug 549293 - Port MOZ_IPC support to comm-central
: Port MOZ_IPC support to comm-central
Status: RESOLVED FIXED
: fixed-seamonkey2.0.5
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: Thunderbird 3.1b2
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on: 496809 515748 523097 NoC192SM
Blocks: C192ConfSync SM-OOPP
  Show dependency treegraph
 
Reported: 2010-03-01 04:38 PST by Serge Gautherie (:sgautherie)
Modified: 2010-05-10 02:24 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.5-fixed


Attachments
(Av1) Just copy (the useful part of) it [Checkin: See comment 10] (4.78 KB, patch)
2010-03-09 05:21 PST, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review
(Bv1-SM) Package mozilla-runtime@BIN_SUFFIX@, Do some list reorderings (2.67 KB, patch)
2010-03-09 06:50 PST, Serge Gautherie (:sgautherie)
bugspam.Callek: review-
Details | Diff | Splinter Review
(Bv2-SM) Package mozilla-runtime@BIN_SUFFIX@, And remove @DLL_PREFIX@sqlite3@DLL_SUFFIX@ for all platforms [Checkin: Comment 12] (1.34 KB, patch)
2010-03-23 11:52 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review
(Cv1-TB) Package mozilla-runtime@BIN_SUFFIX@, (m-1.9.2+) [Checkin: Comment 15] (1.67 KB, patch)
2010-03-24 06:53 PDT, Serge Gautherie (:sgautherie)
standard8: review+
Details | Diff | Splinter Review
(Dv1-SM-191) Support downgrading [Checkin: See comment 18+20+21] (829 bytes, patch)
2010-03-25 16:48 PDT, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.0.5+
Details | Diff | Splinter Review
(Ev1-TB-191) Support downgrading [Checkin: Comment 24] (681 bytes, patch)
2010-03-25 16:51 PDT, Serge Gautherie (:sgautherie)
standard8: review+
standard8: approval‑thunderbird3.0.5+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-03-01 04:38:00 PST

    
Comment 1 Robert Kaiser 2010-03-01 04:47:30 PST
What is this bug supposed do that isn't covered by bug 545716? Are there core build system changes we need on our side?
Comment 2 Serge Gautherie (:sgautherie) 2010-03-01 05:04:22 PST
This bug is to port c-c configure support that we ignored initially, but we'll need to support packaging.
Bug 545716 looks like a SeaMonkey "meta": blocking it is fine ;-)
Comment 3 Robert Kaiser 2010-03-01 05:11:07 PST
OK, good - if configure support is actually doing something. Not that it can really work with our non-libxul linking right now, but both SeaMonkey and Thunderbird want to go multi-process in the future (for SeaMonkey, the plugins-only stuff already helps).
A pointer to the original bug/changeset that is to be ported here is usually helpful in clearing up what such a bug means. ;-)
Comment 4 Serge Gautherie (:sgautherie) 2010-03-01 05:18:29 PST
(In reply to comment #3)
> A pointer to the original bug/changeset that is to be ported here is usually
> helpful in clearing up what such a bug means. ;-)

... :-|

Look at http://dev.seamonkey.at/?d=x&i=mozilla&m=c:
most changesets had no bugs;
I'll list what I actually port when I do it.
Comment 5 Robert Kaiser 2010-03-01 05:32:51 PST
Hrm, how I hate checkins without bugs. :(
Comment 6 Serge Gautherie (:sgautherie) 2010-03-09 05:21:40 PST
Created attachment 431342 [details] [diff] [review]
(Av1) Just copy (the useful part of) it
[Checkin: See comment 10]
Comment 7 Serge Gautherie (:sgautherie) 2010-03-09 06:50:13 PST
Created attachment 431353 [details] [diff] [review]
(Bv1-SM) Package mozilla-runtime@BIN_SUFFIX@, Do some list reorderings
Comment 8 Justin Wood (:Callek) 2010-03-12 15:18:47 PST
Comment on attachment 431342 [details] [diff] [review]
(Av1) Just copy (the useful part of) it
[Checkin: See comment 10]

Looks good, but some notes:

Nit: Please mention that you also ported 848a7cf64d03 from m-c.

Also please port  the
|test -n "$MOZ_IPC" -a -z "$MOZ_ENABLE_LIBXUL"| as in changeset b4e0340c74be

Also please remove the block found by searching for: 
|dnl Disable libxul in debug builds.|
ala changeset db2c3e1c7d28.

r+ with those fixed.
Comment 9 Justin Wood (:Callek) 2010-03-12 15:21:14 PST
Comment on attachment 431353 [details] [diff] [review]
(Bv1-SM) Package mozilla-runtime@BIN_SUFFIX@, Do some list reorderings

>+#ifdef MOZ_IPC
>+@BINPATH@/mozilla-runtime@BIN_SUFFIX@
>+#endif

This in particular looks good; but the re-orderings make this patch hard to decipher; please do them in another bug.

Also please patch the mail/* packages file for this.
Comment 10 Serge Gautherie (:sgautherie) 2010-03-13 07:12:51 PST
Comment on attachment 431342 [details] [diff] [review]
(Av1) Just copy (the useful part of) it
[Checkin: See comment 10]


http://hg.mozilla.org/comm-central/rev/eca0ae9a6322
Av1, with comment 8 suggestion(s).

(In reply to comment #8)

> Nit: Please mention that you also ported 848a7cf64d03 from m-c.

It already is.

> Also please port  the
> |test -n "$MOZ_IPC" -a -z "$MOZ_ENABLE_LIBXUL"| as in changeset b4e0340c74be

As you want, though I find it redundant.

> Also please remove the block found by searching for: 
> |dnl Disable libxul in debug builds.|
> ala changeset db2c3e1c7d28.

Already ported by bug 506493 patch Bv1 ;->
Comment 11 Serge Gautherie (:sgautherie) 2010-03-23 11:52:43 PDT
Created attachment 434293 [details] [diff] [review]
(Bv2-SM) Package mozilla-runtime@BIN_SUFFIX@, And remove @DLL_PREFIX@sqlite3@DLL_SUFFIX@ for all platforms
[Checkin: Comment 12]

Bv1-SM, with comment 9 suggestion(s).
Comment 12 Serge Gautherie (:sgautherie) 2010-03-24 06:39:41 PDT
Comment on attachment 434293 [details] [diff] [review]
(Bv2-SM) Package mozilla-runtime@BIN_SUFFIX@, And remove @DLL_PREFIX@sqlite3@DLL_SUFFIX@ for all platforms
[Checkin: Comment 12]


http://hg.mozilla.org/comm-central/rev/5528d77d0a21
Comment 13 Serge Gautherie (:sgautherie) 2010-03-24 06:42:01 PDT
Comment on attachment 434293 [details] [diff] [review]
(Bv2-SM) Package mozilla-runtime@BIN_SUFFIX@, And remove @DLL_PREFIX@sqlite3@DLL_SUFFIX@ for all platforms
[Checkin: Comment 12]


Ftr, this ported changeset a8076123b234.
Comment 14 Serge Gautherie (:sgautherie) 2010-03-24 06:53:15 PDT
Created attachment 434521 [details] [diff] [review]
(Cv1-TB) Package mozilla-runtime@BIN_SUFFIX@, (m-1.9.2+)
[Checkin: Comment 15]
Comment 15 Serge Gautherie (:sgautherie) 2010-03-25 16:33:40 PDT
Comment on attachment 434521 [details] [diff] [review]
(Cv1-TB) Package mozilla-runtime@BIN_SUFFIX@, (m-1.9.2+)
[Checkin: Comment 15]


http://hg.mozilla.org/comm-central/rev/d6ddf2133e05
Comment 16 Serge Gautherie (:sgautherie) 2010-03-25 16:48:32 PDT
Created attachment 435042 [details] [diff] [review]
(Dv1-SM-191) Support downgrading
[Checkin: See comment 18+20+21]
Comment 17 Serge Gautherie (:sgautherie) 2010-03-25 16:51:22 PDT
Created attachment 435044 [details] [diff] [review]
(Ev1-TB-191) Support downgrading
[Checkin: Comment 24]
Comment 18 Serge Gautherie (:sgautherie) 2010-03-27 10:41:52 PDT
Comment on attachment 435042 [details] [diff] [review]
(Dv1-SM-191) Support downgrading
[Checkin: See comment 18+20+21]


http://hg.mozilla.org/releases/comm-1.9.1/rev/9757cb0d1077
Comment 19 Robert Kaiser 2010-03-27 16:33:38 PDT
Comment on attachment 435042 [details] [diff] [review]
(Dv1-SM-191) Support downgrading
[Checkin: See comment 18+20+21]

This burned up the SeaMonkey2.0 trees:

__main__.Error: ('/builds/slave/comm-1.9.1-linux/build/suite/installer/removed-files.in', 119, 'UNDEFINED_VAR', 'BIN_SUFFIX')

If it's not fixed within 2 hours, I'll back it out there.
Comment 20 Serge Gautherie (:sgautherie) 2010-03-27 18:13:27 PDT
Comment on attachment 435042 [details] [diff] [review]
(Dv1-SM-191) Support downgrading
[Checkin: See comment 18+20+21]


+
http://hg.mozilla.org/releases/comm-1.9.1/rev/d0389e0d9fad
(Fv1-SM-191) Bustage fix.

Sorry, I didn't know about bug 496809 :-<
Comment 21 Serge Gautherie (:sgautherie) 2010-03-31 12:26:50 PDT
Comment on attachment 435042 [details] [diff] [review]
(Dv1-SM-191) Support downgrading
[Checkin: See comment 18+20+21]


(In reply to comment #20)
> http://hg.mozilla.org/releases/comm-1.9.1/rev/d0389e0d9fad
> (Fv1-SM-191) Bustage fix.

http://hg.mozilla.org/releases/comm-1.9.1/rev/6d18fdf75302
Revert now unneeded '(Fv1-SM-191) Bustage fix' workaround.
Comment 22 Justin Wood (:Callek) 2010-03-31 13:18:04 PDT
(In reply to comment #21)
> (From update of attachment 435042 [details] [diff] [review])
> 
> (In reply to comment #20)
> > http://hg.mozilla.org/releases/comm-1.9.1/rev/d0389e0d9fad
> > (Fv1-SM-191) Bustage fix.
> 
> http://hg.mozilla.org/releases/comm-1.9.1/rev/6d18fdf75302
> Revert now unneeded '(Fv1-SM-191) Bustage fix' workaround.

I don't see any note or comment on why this would be "now unneeded" I also note that this (again) burnt the 1.9.1 box. Please backout & explain why you felt it was "now unneeded" ?

Please seek r+ and a+ for a relanding.
Comment 23 Serge Gautherie (:sgautherie) 2010-03-31 14:50:52 PDT
(In reply to comment #22)
> I don't see any note or comment on why this would be "now unneeded"

Sorry, forgot to push m-1.9.1 fix first :-<
Comment 24 Serge Gautherie (:sgautherie) 2010-04-06 10:06:42 PDT
Comment on attachment 435044 [details] [diff] [review]
(Ev1-TB-191) Support downgrading
[Checkin: Comment 24]


http://hg.mozilla.org/releases/comm-1.9.1/rev/4c78410873a4
Comment 25 Mark Banner (:standard8) 2010-04-06 11:29:42 PDT
Comment on attachment 435044 [details] [diff] [review]
(Ev1-TB-191) Support downgrading
[Checkin: Comment 24]

Turns out landing this broke the Thunderbird3.0 boxes because they haven't picked up the BIN_SUFFIX fix that landed in c-1.9.1 post 3.0.4.

Therefore I've backed this out, and resetting approval request, and we'll land when we pick up the latest branch but before 3.0.5.
Comment 26 Mark Banner (:standard8) 2010-05-10 02:24:01 PDT
Re-landed: http://hg.mozilla.org/releases/comm-1.9.1/rev/b368f780a23f

Note You need to log in before you can comment on or make changes to this bug.